/*---------------------------------------------------------------------------*/

/*!  \file  dynamics.h
     \brief  time evolution routines for a slip-springed chain.  */

/*---------------------------------------------------------------------------*/

/* Copyright (C) 2010 Takashi Uneyama  */

/* This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
   USA.  */

/*---------------------------------------------------------------------------*/
#ifndef INCLUDE_DYNAMICS_H
#define INCLUDE_DYNAMICS_H

#include "chain.h"
#include "rng.h"

/*---------------------------------------------------------------------------*/
void integrate_langevin_equation(slip_springed_chain *chain,rng_state *rng,
                                 double dt,tensor3 kappa);
void exchange_slip_springs(slip_springed_chain *chain,rng_state *rng,
                           double dt);
void reconstruct_slip_springs(slip_springed_chain *chain,rng_state *rng,
                              double dt);

/*---------------------------------------------------------------------------*/
#endif

/*---------------------------------------------------------------------------*/
