/*---------------------------------------------------------------------------*/

/*!  \file  chains.h
     \brief  definitions and subroutines for linear polymer chains.  */

/*---------------------------------------------------------------------------*/

/* Copyright (C) 2009 Takashi Uneyama  */

/* This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
   USA.  */

/*---------------------------------------------------------------------------*/
#ifndef INCLUDE_CHAINS_H
#define INCLUDE_CHAINS_H

/*---------------------------------------------------------------------------*/
#include "rng.h"

/*---------------------------------------------------------------------------*/
#ifdef __cplusplus
extern "C"
{
#endif
    typedef struct polymer_chians
    {
        int m,n;
        float *r_host,*r_device;
    } polymer_chains;

    polymer_chains *allocate_polymer_chains(int m,int n);
    void free_polymer_chains(polymer_chains *chains);
    void initialize_polymer_chains(polymer_chains *chains,rng_state *rng);

    void copy_polymer_chains_host_to_device(polymer_chains *chains);
    void copy_polymer_chains_device_to_host(polymer_chains *chains);
#ifdef __cplusplus
}
#endif

/*---------------------------------------------------------------------------*/
#endif

/*---------------------------------------------------------------------------*/
