/*---------------------------------------------------------------------------*/

/*!  \file  path.h
     \brief  utilities to extract primitive path information.  */

/*---------------------------------------------------------------------------*/

/* Copyright (C) 2009 Takashi Uneyama  */

/* This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
   USA.  */

/*---------------------------------------------------------------------------*/
#ifndef INCLUDE_PATH_H
#define INCLUDE_PATH_H

/*---------------------------------------------------------------------------*/
#include "chain.h"
#include "springs.h"

/*---------------------------------------------------------------------------*/
double calculate_primitive_path_length(polymer_chain *chain,
                                       slip_springs *springs);
double calculate_average_primitive_path_length(polymer_chain **chain,
                                               slip_springs **springs,
                                               int m);
void calculate_primitive_path_bond_length_distribution(polymer_chain **chain,
                                                       slip_springs **springs,
                                                       int m,double *p_l,
                                                       int nl,double dl);
void calculate_primitive_path_monomer_number_distribution(polymer_chain **chain,
                                                          slip_springs **springs,
                                                          int m,double *p_n,
                                                          int nn,double dn);
void calculate_primitive_path_entanglement_distribution(polymer_chain **chain,
                                                        slip_springs **springs,
                                                        int m,double *p_z,
                                                        int nz);

/*---------------------------------------------------------------------------*/
#endif

/*---------------------------------------------------------------------------*/
