/*---------------------------------------------------------------------------*/

/*!  \file  strain.h
     \brief  apply strains to the system and deform it.  */

/*---------------------------------------------------------------------------*/

/* Copyright (C) 2009 Takashi Uneyama  */

/* This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
   USA.  */

/*---------------------------------------------------------------------------*/
#ifndef INCLUDE_STRAIN_H
#define INCLUDE_STRAIN_H

/*---------------------------------------------------------------------------*/
#include "vector.h"
#include "chain.h"
#include "springs.h"

/*---------------------------------------------------------------------------*/
void apply_strain(polymer_chain *chain,slip_springs *springs,tensor3 e);
void apply_simple_shear_strain(polymer_chain *chain,slip_springs *springs,
                               double gamma_xy);
void apply_simple_uniaxial_strain(polymer_chain *chain,slip_springs *springs,
                                  double lambda_z);

/*---------------------------------------------------------------------------*/
#endif

/*---------------------------------------------------------------------------*/
